package com.ibm.uia.renderer;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import java.awt.*;
import java.awt.event.*;
/**
 * Insert the type's description here.
 * Creation date: (05/07/2000 08:37:03)
 * @author: Phill van Leersum
 */
public class MessageDialogue extends RendererDialogue implements ActionListener {
/**
 * MessageDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public MessageDialogue(Frame parent, String title, String message) {
	super(parent, title);
	setLayout(new BorderLayout());
	Label label = new Label(message);
	add("North", label);
	Panel buttonPanel = new Panel(new FlowLayout());
	Button button = new Button("Ok");
	button.addActionListener(this);
	buttonPanel.add(button);
	add(buttonPanel);
}
/**
 * actionPerformed method comment.
 */
public void actionPerformed(ActionEvent e) {
	setVisible(false);
}
}
