package com.ibm.uia.renderingInterface;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import java.util.*;
/**
 * This type represents the constraints on the 
 * allowed values of a renderable attribute.
 */
public interface RenderableAttributeType extends Renderable {
public abstract String getDefaultValue();
/**
 * return datastream value mapped to given UIvalue
 */
public String getMappedValue(String str);
/**
 * Reply the receivers name
 */
public abstract String getName();
public abstract Enumeration getValidValues();
public abstract boolean isEnumeratedType();
public abstract boolean isIntegerType();
public abstract boolean isStringType();
public abstract boolean isValid(String val);
/**
 * return UI value mapped to given datastream value.
 */
public String unmap(String str);
public abstract String validate(String val);
}
