package com.ibm.mqe.model;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
/**
 * Insert the type's description here.
 * Creation date: (19/06/2000 20:25:16)
 * @author: Phill van Leersum
 */
public interface MQeMetaModelConstants {
	/**
	 * These constants identify the types (eg metaObjects)
	 * for the MQeMetaModel
	 */
	public static final String MQE_SYSTEM_TYPE_NAME = "MQe System";
	public static final String MQE_QUEUE_MANAGER_TYPE_NAME = "MQeQueueManager";
	public static final String LOCALQUEUE_TYPE_NAME = "LocalQueue";
	public static final String ADMINQUEUE_TYPE_NAME = "AdminQueue";
	public static final String REMOTEQUEUE_TYPE_NAME = "RemoteQueue";
	public static final String STOREANDFORWARDQUEUE_TYPE_NAME = "StoreAndForwardQueue";
	public static final String HOMESERVERQUEUE_TYPE_NAME = "HomeServerQueue";
	public static final String CONNECTION_TYPE_NAME = "Connection";
	public static final String ALIAS_TYPE_NAME = "Alias";
	public static final String ALIASCATEGORY_TYPE_NAME = "AliasCategory";
	public static final String QUEUECATEGORY_TYPE_NAME = "QueueCategory";
	public static final String CONNECTIONCATEGORY_TYPE_NAME = "ConnectionCategory";
	public static final String QUEUEMANAGER_ENTRY_TYPE_NAME = "QueueManagerEntry";
	public static final String MESSAGECATEGORY_TYPE_NAME = "MessageCategory";
	public static final String MESSAGE_TYPE_NAME = "Message";
	public static final String MESSAGEFIELD_TYPE_NAME = "MessageField";
	public static final String MESSAGEFIELDS_TYPE_NAME = "MessageFields";
	public static final String CONNECTIONADAPTOR_TYPE_NAME = "ConnectionAdapter";
	public static final String ADAPTORCATEGORY_TYPE_NAME = "AdapterCategory";

	/**
	 * These constants identify some important attribute names
	 */
	public static final String QM_ROUTE_ATTRIBUTE = "RouteAddress";
	public static final String NAME_ATTRIBUTE = "name";
	public static final String QQMNAME_ATTR = "QueueManagerName";
	public static final String DEST_QM_NAME_ATTRIBUTE = "QueueManagerName";
	public static final String CONNECTION_ROUTE_ATTRIBUTE = "RouteAddress";
	public static final String QUEUE_MODE_ATTRIBUTE = "Mode";
	public static final String QUEUE_MODE_SYNC = "Synchronous";
	public static final String QUEUE_MODE_ASYNC = "Asynchronous";
	
	
}
