package com.ibm.uia.renderingInterface;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
/**
 * This interface represents an association between two renderable
 * objects.  It is, itself, a renderable object.
 * The name or caption can be used to discriminate between different
 * association types.  For example 'PARENT', 'CHILD', 'PARTOF', could
 * be used at the implementors discretion.
 */
public interface RenderableAssociation extends RenderableObject {

public abstract RenderableObject getObject();
public abstract RenderableObject getSubject();
}
