package com.ibm.uia.xml;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import java.util.*;
import java.io.*;

/**
 * Simple XML unparser to package unparse methods
 */
public final class Unparser {
/**
 * Parser constructor comment.
 */
public Unparser() {
	super();
}
public static final String ToString(Document doc) {
	java.io.ByteArrayOutputStream ostream = new java.io.ByteArrayOutputStream();
	java.io.PrintWriter pWriter = new java.io.PrintWriter(ostream);
	Element el = doc.getDocumentElement();
	el.generateXML(pWriter, true);
	return ostream.toString();
}
public static final void Unparse(Element tag, Writer writer, boolean pretty) {
	tag.generateXML(writer, pretty);
}
public static final boolean UnparseToFile(Element tag, String filename, boolean pretty) {
	try {
		Writer writer = new FileWriter(filename);
		Unparse(tag, writer, pretty);
		writer.flush();
		writer.close();
		return true;
	} catch (IOException e) {
	}
	return false;
}
public static final String UnparseToString(Element tag, boolean pretty) {
	StringWriter sw = new StringWriter();
	Unparse(tag, sw, pretty);
	return sw.toString();
}
}
